#!/usr/bin/perl -w
use strict;

# main window
my $window;
my $table;
my $button;


#menus
my $menu_bar;
my $file_item;
my $help_item;

my $file_menu;
my $open_item;
my $save_item;
my $quit_item;

my $help_menu;
my $about_item;

my $label_name;
my $label_start;
my $label_end;
my $label_time;

my $false = 0;
my $true = 1;

sub createGUI
{

	# basic stings
	$window = new Gtk::Window( "toplevel" );
	$button = new Gtk::Button( "Quit" );
	$table = new Gtk::Table( 6, 3, $true );

	# menus
	$menu_bar = new Gtk::MenuBar();
	$file_item = new Gtk::MenuItem( "File" );
	$help_item = new Gtk::MenuItem( "Help" );

	$file_menu = new Gtk::Menu();
	$open_item = new Gtk::MenuItem( "Open" );
	$save_item = new Gtk::MenuItem( "Save" );
	$quit_item = new Gtk::MenuItem( "Quit" );

	$help_menu = new Gtk::Menu();
	$about_item = new Gtk::MenuItem( "About" );

	# labels
	$label_name = new Gtk::Label("Subfile:");
	$label_start = new Gtk::Label("Start:");
	$label_end = new Gtk::Label("End:");
	$label_time = new Gtk::Label("Time:");



	# File menu
	$file_menu->append( $open_item );
	$file_menu->append( $save_item );
	$file_menu->append( $quit_item );

	$file_item->show();
	$file_item->set_submenu( $file_menu );

	$file_menu->show();

	# Help menu
	$help_menu->append( $about_item );

	$help_item->show();
	$help_item->set_submenu( $help_menu );

	$menu_bar->show();

	# signal for menus
	$open_item->signal_connect( 'activate', \&fileOpen );
	$save_item->signal_connect( 'activate', \&fileSave );
	$quit_item->signal_connect( 'activate', \&quitProgram );
	$about_item->signal_connect( 'activate', \&about );

	# build menu bar
	$open_item->show();
	$save_item->show();
	$quit_item->show();

	$about_item->show();

	# signals window
	$button->signal_connect( "clicked", \&quitProgram );
	$window->signal_connect( "delete_event", \&quitProgram );

	
	# table
	$table->attach_defaults( $menu_bar, 0, 3, 0, 1 );
	$table->attach_defaults( $label_name, 0, 1, 1, 2 );
	$table->attach_defaults( $label_start, 0, 1, 2, 3 );
	$table->attach_defaults( $label_end, 0, 1, 3, 4 );
	$table->attach_defaults( $label_time, 0, 1, 4, 5 );
	$table->attach_defaults( $button, 0, 1, 5, 6 );

	$menu_bar->append($file_item);	
	$menu_bar->append($help_item);	

	$button->show();

	$label_name->show();
	$label_start->show();
	$label_end->show();
	$label_time->show();

	$table->show();

	$window->border_width( 1 );
	$window->add( $table );
	$window->show();
}

1;
